This section details the configuration requirements for WebSphere MQ.

In Linux environments, the Hyperic plugin for monitoring WebSphere MQ requires that the MQSeriesJava<version>.rpm be installed on the platform.

The LD_LIBRARY_PATH environment variable must be defined. To specify it:

On Unix-like systems, set the LD_LIBRARY_PATH environment variable by running this command in a shell:

export LD_LIBRARY_PATH=/opt/mqm/java/lib:$LD_LIBRARY_PATH

On Windows, as the user under which the agent will run, define LD_LIBRARY_PATH as an environment variable using:

My Computer > Properties > Advanced > Environment Variables > New